breezy-debian (2.8.81) unstable; urgency=medium

  * Fix test failures with newer dpkg-source that validates Maintainer
    field format. Closes: #1127501

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 Mar 2026 10:47:40 +0000

breezy-debian (2.8.80) unstable; urgency=medium

  * Move Vcs to Git on salsa.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 20 Mar 2025 19:41:36 +0000

breezy-debian (2.8.79) unstable; urgency=medium

  * Depend on breezy with fixed timezone handling. Closes: #1064713

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 26 Feb 2024 23:42:44 +0000

breezy-debian (2.8.78) unstable; urgency=medium

  * Fix latest version retrieval. Closes: #1032247

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 08 Mar 2023 22:04:28 +0000

breezy-debian (2.8.77) unstable; urgency=medium

  * merge-upstream: when current version is a snapshot, default to also
    merging snapshot.
  * Fix Vcs-Bzr location since code.breezy-vcs.org is down. Closes:
    #1031997

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 27 Feb 2023 11:10:02 +0000

breezy-debian (2.8.76) unstable; urgency=medium

  * Export package.json and META.json.
  * deb-merge: Fall back to importing .dsc.
  * deb-import-uncommitted: fail when there are git attributes in the
    tree, which might impact what files were originally exported.
  * deb-auto-backport: add --version option.
  * deb-import-uncommitted: Skip noop uploads.
  * deb-auto-backport: Add --apt-repository argument.
  * Integrate deb-merge and deb-auto-backport.
  * Improve errors messages from deb-vcs-up-to-date

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 11 Feb 2023 14:03:54 +0000

breezy-debian (2.8.75) unstable; urgency=medium

  * deb-import-uncommitted: Handle presence of unuploaded changes.
  * deb-new-upstream: Support --skip-empty setting.
  * Add deb-merge command.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Nov 2022 21:54:57 +0000

breezy-debian (2.8.74) unstable; urgency=medium

  * Fix uncaught error in deb-import-uncommitted.
  * Use flake8 to verify formatting of all code..

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 21 Oct 2022 00:11:18 +0100

breezy-debian (2.8.73) unstable; urgency=medium

  * Add new script deb-vcs-up-to-date: checks whether the local tree is
    up to date with the archive
  * Add --version argument to deb-import-uncommitted.
  * Bump minimum breezy to 3.3.
  * Don't add builddeb.conf files when importing packages.
  * deb-import-uncommitted: cope with already present revisions that are
    just not on the branch.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 20 Oct 2022 22:58:24 +0100

breezy-debian (2.8.72) unstable; urgency=medium

  * apt_repo: Default to no rootdir, since apt.Cache tries to create
    files in / otherwise.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 02 Oct 2022 14:45:36 +0100

breezy-debian (2.8.71) unstable; urgency=medium

  * Add new deb-update-packaging script.
  * Add --skip-signatures argument to deb-new-upstream.
  * Factor out apt repository access.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 02 Oct 2022 13:49:36 +0100

breezy-debian (2.8.70) unstable; urgency=medium

  * Fix tag name determination for native releases.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 29 Aug 2022 21:24:03 +0100

breezy-debian (2.8.69) unstable; urgency=medium

  * When necessary, adds dfsg suffix.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Jul 2022 19:01:59 +0100

breezy-debian (2.8.68) unstable; urgency=medium

  * Drop mark-uploaded command; use 'bzr tag' (without arguments)
    instead.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 21:52:49 +0100

breezy-debian (2.8.67) unstable; urgency=medium

  * Cope with multiple documents in debian/upstream/metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 20 Apr 2022 23:15:53 +0100

breezy-debian (2.8.66) unstable; urgency=medium

  * Fix locking behaviour in export_with_nested.
  * Rely on upstream_version_add_revision from debmutate.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 10 Apr 2022 17:32:44 +0100

breezy-debian (2.8.65) unstable; urgency=medium

  * Improve compatibility with newer versions of Breezy.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 29 Dec 2021 19:37:42 +0000

breezy-debian (2.8.64) unstable; urgency=medium

  * Import deb-move-orphaned from silver-platter.
  * Rebuild source-only. Closes: #998032

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 29 Oct 2021 01:54:39 +0100

breezy-debian (2.8.63) unstable; urgency=medium

  * Support SVP protocol in scripts.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 17 Jun 2021 09:37:34 +0100

breezy-debian (2.8.62) unstable; urgency=medium

  * Support . after 'bzr' in version strings.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 11 Jun 2021 20:09:52 +0100

breezy-debian (2.8.61) unstable; urgency=medium

  * Bump minimum Breezy to 3.2.
  * Drop --launchpad flag.
  * Add scripts deb-auto-import, deb-import-uncommitted and deb-new-
    upstream.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 01 Jun 2021 18:06:24 +0100

breezy-debian (2.8.60) unstable; urgency=medium

  * Improve handling of mangled upstream versions, especially for git
    snapshots.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 02 May 2021 16:13:10 +0100

breezy-debian (2.8.59) unstable; urgency=medium

  * Improve snapshot revision creation a bit more.
  * Fix upstream version sorting.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Apr 2021 02:30:45 +0100

breezy-debian (2.8.58) unstable; urgency=medium

  * Support building multiple changes files.
  * Support custom suffixes in changes files.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 29 Mar 2021 14:41:57 +0100

breezy-debian (2.8.57) unstable; urgency=medium

  * Remove some no longer existing but unused imports.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Mar 2021 16:40:27 +0000

breezy-debian (2.8.56) unstable; urgency=medium

  * Use debmutate for editing changelogs.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 26 Mar 2021 15:39:49 +0000

breezy-debian (2.8.55) unstable; urgency=medium

  * Raise specific error if previous version is missing.
  * Fix compatibility with newer versions of the merge API.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 16 Mar 2021 00:04:00 +0000

breezy-debian (2.8.54) unstable; urgency=medium

  * debcargo: Fix manipulation of dashes in package names.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Mar 2021 17:20:08 +0000

breezy-debian (2.8.53) unstable; urgency=medium

  * debcargo: Use version from changelog rather than package name.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Mar 2021 17:14:59 +0000

breezy-debian (2.8.52) unstable; urgency=medium

  * Handle semver_suffix for debcargo packages.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Mar 2021 17:08:44 +0000

breezy-debian (2.8.51) unstable; urgency=medium

  * Drop the dh-make subcommand.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 18 Feb 2021 13:02:55 +0000

breezy-debian (2.8.50) unstable; urgency=medium

  * Add tree_debian_tag_name function for getting tag names.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 03:14:51 +0000

breezy-debian (2.8.49) unstable; urgency=medium

  * Rely on upstream ontologist rather than lintian-brush for upstream
    metadata.
  * Return tags from release().

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 01 Feb 2021 23:37:12 +0000

breezy-debian (2.8.48) unstable; urgency=medium

  * Prevent merging old versions.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 Nov 2020 23:52:49 +0000

breezy-debian (2.8.47) unstable; urgency=medium

  * Require newer debmutate.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Nov 2020 21:26:02 +0000

breezy-debian (2.8.46) unstable; urgency=medium

  * When looking for debian versions, mangle when on Git.
  * Suggest debcargo, for building debcargo-based packages.
  * Require debmutate 0.14.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 10 Nov 2020 02:56:08 +0000

breezy-debian (2.8.45) unstable; urgency=medium

  * Fix compatibility with older versions of debmutate.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 04 Nov 2020 02:51:44 +0000

breezy-debian (2.8.44) unstable; urgency=medium

  * Add support for uversionmangle in debian/watch.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 04 Nov 2020 02:41:57 +0000

breezy-debian (2.8.43) unstable; urgency=medium

  * When building debcargo packages, don't bump the changelog version.
  * Support old metadata path.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 29 Oct 2020 00:06:57 +0000

breezy-debian (2.8.42) unstable; urgency=medium

  * Cope with versions being missing in watch file (e.g. because they're
    snapshots).
  * Add support for Vcs-Cvs URLs.
  * Add support for Vcs-Mtn fields.
  * Add support for Vcs-Arch fields.
  * Add rudimentary support for building debcargo packages.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 19 Sep 2020 15:51:46 +0000

breezy-debian (2.8.41) unstable; urgency=medium

  * Fix pristine-tar checkouts for git repositories.
  * Add support for kali linux.
  * Properly export debian directories when running uscan in subpath.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 22 Aug 2020 14:28:06 +0000

breezy-debian (2.8.40) unstable; urgency=medium

  * Depend on debmutate for control editing.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Jul 2020 01:26:14 +0000

breezy-debian (2.8.39) unstable; urgency=medium

  * Allow debian revisions in the version string of native packages, but
    warn about it.
  * Fix compatibility with Breezy >= 3.1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 07 Jul 2020 00:12:17 +0000

breezy-debian (2.8.38) unstable; urgency=medium

  * Adapt version manipulation functions for lintian-brush.
  * Drop bundled quilt code - Breezy proper now ships this as a plugin.
  * Depend on Breezy >= 3.1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 09 Jun 2020 23:40:42 +0000

breezy-debian (2.8.37) unstable; urgency=medium

  * Fix dh-make.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 30 May 2020 19:48:00 +0000

breezy-debian (2.8.36) unstable; urgency=medium

  * Don't use file ids if the underlying tree does not support them.
  * Bump required version of Breezy to 3.1.
  * Bump debhelper from old 12 to 13.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 30 May 2020 14:40:41 +0000

breezy-debian (2.8.35) unstable; urgency=medium

  * Wrap long lines in changelog entries: 2.8.0, 2.5.1, 2.1~0ubuntu1,
    0.14ubuntu1.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 May 2020 01:12:30 +0000

breezy-debian (2.8.34) unstable; urgency=medium

  * If there is no explicit tag set for an imported upstream revision,
    scan the revision history for it.
  * Try more possible tag options for possible upstream releases.
  * Add a --dist-command option to 'bzr merge-upstream'.
  * Support falling back to strip-components=0 when the orig tarball
    requires it.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 17 Apr 2020 23:44:17 +0000

breezy-debian (2.8.33) unstable; urgency=medium

  * Update standards version to 4.4.1, no changes needed.
  * Set Rules-Requires-Root.
  * Rely on -Dpristine-tar to enable pristine-tar debugging, rather than
    the custom debug-pristine-tar configuration setting.
  * Don't follow symlinks when exporting directories.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Mar 2020 13:18:22 +0000

breezy-debian (2.8.32) unstable; urgency=medium

  * Support plain local branch source in revspec.
  * Initial support on building packages that don't live in the branch
    root.
  * Support -b in Vcs-Hg URLs.
  * Rely on dpkg-source to apply/unapply patches.
  * Add basic support for stripping files listed in Files-Excluded from
    upstreams.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 24 Nov 2019 02:57:14 +0000

breezy-debian (2.8.31) unstable; urgency=medium

  * Fix compatibility with Breezy 3.1.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 13 Oct 2019 13:03:27 +0000

breezy-debian (2.8.30) unstable; urgency=medium

  * Raise separate exception when encountering syntax error in
    debian/upstream/metadata.
  * Actually install the quilt subpackage.
  * Update standards version, no changes needed.
  * Bump debhelper from old 10 to 12.
  * Add missing colon in closes line.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 05 Sep 2019 02:31:54 +0000

breezy-debian (2.8.29) unstable; urgency=medium

  * Support substitutions in gbp tag format.
  * Properly propagate errors from uscan rather than just reporting
    'package could not be found'.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 19 Aug 2019 08:12:02 +0000

breezy-debian (2.8.28) unstable; urgency=medium

  * Upload to unstable.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 20 Jul 2019 14:36:10 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog brz-debian`.
